<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Rectangle Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structarm__compute_1_1_rectangle.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">Rectangle Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="structarm__compute_1_1_rectangle.xhtml" title="Rectangle type. ">Rectangle</a> type.  
 <a href="structarm__compute_1_1_rectangle.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_types_8h_source.xhtml">Types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a4dde988b1b2adba65ae3efa69f65d960"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_rectangle.xhtml#a4dde988b1b2adba65ae3efa69f65d960">x</a></td></tr>
<tr class="memdesc:a4dde988b1b2adba65ae3efa69f65d960"><td class="mdescLeft">&#160;</td><td class="mdescRight">Top-left x coordinate.  <a href="#a4dde988b1b2adba65ae3efa69f65d960">More...</a><br /></td></tr>
<tr class="separator:a4dde988b1b2adba65ae3efa69f65d960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0580f504a7428539be299fa71565f30"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_rectangle.xhtml#ab0580f504a7428539be299fa71565f30">y</a></td></tr>
<tr class="memdesc:ab0580f504a7428539be299fa71565f30"><td class="mdescLeft">&#160;</td><td class="mdescRight">Top-left y coordinate.  <a href="#ab0580f504a7428539be299fa71565f30">More...</a><br /></td></tr>
<tr class="separator:ab0580f504a7428539be299fa71565f30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0eab1042455a2067c812ab8071d5376"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_rectangle.xhtml#ad0eab1042455a2067c812ab8071d5376">width</a></td></tr>
<tr class="memdesc:ad0eab1042455a2067c812ab8071d5376"><td class="mdescLeft">&#160;</td><td class="mdescRight">Width of the rectangle.  <a href="#ad0eab1042455a2067c812ab8071d5376">More...</a><br /></td></tr>
<tr class="separator:ad0eab1042455a2067c812ab8071d5376"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81c9f8d0b8c3b49d770be14dbe9f0d37"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_rectangle.xhtml#a81c9f8d0b8c3b49d770be14dbe9f0d37">height</a></td></tr>
<tr class="memdesc:a81c9f8d0b8c3b49d770be14dbe9f0d37"><td class="mdescLeft">&#160;</td><td class="mdescRight">Height of the rectangle.  <a href="#a81c9f8d0b8c3b49d770be14dbe9f0d37">More...</a><br /></td></tr>
<tr class="separator:a81c9f8d0b8c3b49d770be14dbe9f0d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="structarm__compute_1_1_rectangle.xhtml" title="Rectangle type. ">Rectangle</a> type. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00256">256</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a81c9f8d0b8c3b49d770be14dbe9f0d37"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t height</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Height of the rectangle. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00261">261</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad0eab1042455a2067c812ab8071d5376"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t width</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Width of the rectangle. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00260">260</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4dde988b1b2adba65ae3efa69f65d960"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Top-left x coordinate. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00258">258</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0580f504a7428539be299fa71565f30"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Top-left y coordinate. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00259">259</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_types_8h_source.xhtml">Types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="structarm__compute_1_1_rectangle.xhtml">Rectangle</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
